<?php

use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateTemplateCriterionSonScale extends Migration
{

	/**
	 * Run the migrations.
	 *
	 * @return void
	 */
	public function up()
	{
		Schema::create('template_criterion_scale', function (Blueprint $table) {
			$table->increments('id');
			$table->integer('template_criterion_id')->unsigned();
			$table->integer('scale_id')->unsigned();
			$table->foreign('template_criterion_id')
				->references('id')
				->on('template_criterion')
				->onDelete('cascade')
				->onUpdate('cascade');
			$table->foreign('scale_id')
				->references('id')
				->on('scales')
				->onDelete('cascade')
				->onUpdate('cascade');
			$table->integer('position');
		});
	}

	/**
	 * Reverse the migrations.
	 *
	 * @return void
	 */
	public function down()
	{
		Schema::drop('template_criterion_scale');
	}
}
